Page MenuHomePhabricator

Report number of certificates on config (re)load
Closed, ResolvedPublic

Description

Currently certcentral doesn't report the number of configured certificates successfully loaded, so there is no way to tell if a new configuration has been loaded successfully or not. A simple report listing the number of certificates on each status and the name of the new/removed/updated certificates on config changes should be enough to fix this.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 2 2018, 10:33 AM
Vgutierrez triaged this task as Normal priority.Nov 2 2018, 10:33 AM
Vgutierrez claimed this task.

Change 471723 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/certcentral@master] certcentral: report certificate status on config (re)load

https://gerrit.wikimedia.org/r/471723

Change 471723 merged by jenkins-bot:
[operations/software/certcentral@master] certcentral: report certificate status on config (re)load

https://gerrit.wikimedia.org/r/471723

Change 471760 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/certcentral@master] Release 0.5

https://gerrit.wikimedia.org/r/471760

Change 471760 merged by Vgutierrez:
[operations/software/certcentral@master] Release 0.5

https://gerrit.wikimedia.org/r/471760

Change 471762 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/certcentral@debian] certcentral: report certificate status on config (re)load

https://gerrit.wikimedia.org/r/471762

Change 471763 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/certcentral@debian] Release 0.5

https://gerrit.wikimedia.org/r/471763

Change 471762 merged by jenkins-bot:
[operations/software/certcentral@debian] certcentral: report certificate status on config (re)load

https://gerrit.wikimedia.org/r/471762

Change 471763 merged by jenkins-bot:
[operations/software/certcentral@debian] Release 0.5

https://gerrit.wikimedia.org/r/471763

Change 471764 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/certcentral@debian] debian: add release 0.5 to changelog

https://gerrit.wikimedia.org/r/471764

Change 471764 merged by jenkins-bot:
[operations/software/certcentral@debian] debian: add release 0.5 to changelog

https://gerrit.wikimedia.org/r/471764

Mentioned in SAL (#wikimedia-operations) [2018-11-05T16:48:41Z] <vgutierrez> uploaded certcentral 0.5 to apt.wikimedia.org (stretch) - T208572 T208378

Vgutierrez closed this task as Resolved.Nov 6 2018, 1:09 PM